Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1406385

Summary: Searching for \[a-z] no longer works in joe
Product: [Fedora] Fedora Reporter: Jakub Jelinek <jakub>
Component: joeAssignee: Nikola Forró <nforro>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: jchaloup, nforro
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: joe-4.2-3.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-02 19:50:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Jakub Jelinek 2016-12-20 12:35:06 UTC
Description of problem:

The backwards incompatible change of search expression syntax in joe 4.2 (or 4.1 already)? is annoying, but I can relearn it is weirdly backslashed version of regexps.  Except that I can't figure out how to search for character ranges anymore.  In joe 4.0, searching for \[a-e] worked the same as \[abcde], now it doesn't, even when [a-e] is valid regexp.  Searching for \[abcde] works.


Version-Release number of selected component (if applicable):

4.2-2.fc25

Comment 1 Jakub Jelinek 2016-12-20 12:39:43 UTC
Note that:
https://sourceforge.net/p/joe-editor/mercurial/ci/default/tree/docs/man.md#searching-for-text
which documents the new search expression syntax mentions:
For example, \[A-Z] finds any uppercase letter.
but it doesn't actually work, while \[ABCDEFGHIJKLMNOPQRSTUVWXYZ] works.

Comment 4 Fedora Update System 2016-12-21 12:34:40 UTC
joe-4.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bffa2a399b

Comment 5 Fedora Update System 2016-12-22 19:20:09 UTC
joe-4.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bffa2a399b

Comment 6 Fedora Update System 2017-01-02 19:50:55 UTC
joe-4.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.